Browse Source

完善构建流程

herj 2 years ago
parent
commit
7746b1f158

+ 0 - 58
.github/ISSUE_TEMPLATE/bug_report.md

@@ -1,58 +0,0 @@
----
-name: Bug report
-about: Create a report to help us improve
----
-
-<!--
-Welcome! Before creating a new issue:
-* Search for relevant issues
-* Follow the issue reporting guidelines:
-https://jupyterlab.readthedocs.io/en/3.4.x/getting_started/issue.html
--->
-
-## Description
-
-<!--Describe the bug clearly and concisely. Include screenshots if possible-->
-
-## Reproduce
-
-<!--Describe step-by-step instructions to reproduce the behavior-->
-
-1. Go to '...'
-2. Click on '...'
-3. Scroll down to '...'
-4. See error '...'
-
-<!--Describe how you diagnosed the issue. See the guidelines at
- https://jupyterlab.readthedocs.io/en/3.4.x/getting_started/issue.html -->
-
-## Expected behavior
-
-<!--Describe what you expected to happen-->
-
-## Context
-
-<!--Complete the following for context, and add any other relevant context-->
-
-- Operating System and version:
-- Browser and version:
-- JupyterLab version:
-
-<details><summary>Troubleshoot Output</summary>
-<pre>
-Paste the output from running `jupyter troubleshoot` from the command line here.
-You may want to sanitize the paths in the output.
-</pre>
-</details>
-
-<details><summary>Command Line Output</summary>
-<pre>
-Paste the output from your command line running `jupyter lab` here, use `--debug` if possible.
-</pre>
-</details>
-
-<details><summary>Browser Output</summary>
-<pre>
-Paste the output from your browser Javascript console here.
-</pre>
-</details>

+ 0 - 34
.github/ISSUE_TEMPLATE/feature_request.md

@@ -1,34 +0,0 @@
----
-name: Feature Request
-about: Suggest something to add to JupyterLab
-labels: enhancement
----
-
-<!--
-Welcome! Thanks for thinking of a way to improve JupyterLab. If this solves a problem for you, then it probably solves that problem for lots of people! So the whole community will benefit from this request.
-
-
-Before creating a new feature request please search the issues for relevant feature requests.
--->
-
-### Problem
-
-<!-- Provide a clear and concise description of what problem this feature will solve. For example:
-
-* I'm always frustrated when [...] because [...]
-* I would like it if [...] happened when I [...] because [...]
--->
-
-### Proposed Solution
-
-<!-- Provide a clear and concise description of a way to accomplish what you want. For example:
-
-* Add an option so that when [...]  [...] will happen
- -->
-
-### Additional context
-
-<!-- Add any other context or screenshots about the feature request here. You can also include links to examples of other programs that have something similar to your request. For example:
-
-* Another project [...] solved this by [...]
--->

+ 0 - 17
.github/codeql/codeql-config.yml

@@ -1,17 +0,0 @@
-name: "My CodeQL config"
-
-queries:
-  - uses: security-and-quality
-
-paths-ignore:
-  - node_modules
-  # Ignore our vendored yarn.js
-  - jupyterlab/staging/yarn.js
-  # Ignore templates, which generate syntax error warnings
-  - '**/templates/*.html'
-  - examples/federated/core_package/index.js
-  - jupyterlab/staging/index.js
-  - dev_mode/index.js
-  # TODO: remove when fixed upstream
-  # see https://github.com/jupyterlab/jupyterlab/issues/10522 for more info
-  - packages/services/src/kernel/messages.ts

+ 0 - 317
.github/labeler.yml

@@ -1,317 +0,0 @@
-Design System CSS:
-  - '**/*.css'
-  - '*.css'
-
-documentation:
-  - docs/**/*
-  - docs/*
-
-tag:CSS:
-  - '**/*.css'
-  - '*.css'
-
-'tag:Design and UX':
-  - design/**/*
-  - design/*
-
-tag:Examples:
-  - examples/**/*
-  - examples/*
-
-tag:Testing:
-  - tests/**/*
-  - tests/*
-  - galata/**/*
-  - galata/*
-
-######################
-#   Package Labels   #
-######################
-
-pkg:application:
-  - packages/application/**/*
-  - packages/application/*
-  - packages/application-extension/**/*
-  - packages/application-extension/*
-
-pkg:apputils:
-  - packages/apputils/**/*
-  - packages/apputils/*
-  - packages/apputils-extension/**/*
-  - packages/apputils-extension/*
-
-pkg:attachments:
-  - packages/attachments/**/*
-  - packages/attachments/*
-
-pkg:cell-toolbar:
-  - packages/cell-toolbar/**/*
-  - packages/cell-toolbar/*
-  - packages/cell-toolbar-extension/**/*
-  - packages/cell-toolbar-extension/*
-
-pkg:cells:
-  - packages/cells/**/*
-  - packages/cells/*
-
-pkg:celltags:
-  - packages/celltags/**/*
-  - packages/celltags/*
-  - packages/celltags-extension/**/*
-  - packages/celltags-extension/*
-
-pkg:codeeditor:
-  - packages/codeeditor/**/*
-  - packages/codeeditor/*
-
-pkg:codemirror:
-  - packages/codemirror/**/*
-  - packages/codemirror/*
-  - packages/codemirror-extension/**/*
-  - packages/codemirror-extension/*
-
-pkg:completer:
-  - packages/completer/**/*
-  - packages/completer/*
-  - packages/completer-extension/**/*
-  - packages/completer-extension/*
-
-pkg:console:
-  - packages/console/**/*
-  - packages/console/*
-  - packages/console-extension/**/*
-  - packages/console-extension/*
-
-pkg:coreutils:
-  - packages/coreutils/**/*
-  - packages/coreutils/*
-
-pkg:csvviewer:
-  - packages/csvviewer/**/*
-  - packages/csvviewer/*
-  - packages/csvviewer-extension/**/*
-  - packages/csvviewer-extension/*
-
-pkg:debugger:
-  - packages/debugger/**/*
-  - packages/debugger/*
-  - packages/debugger-extension/**/*
-  - packages/debugger-extension/*
-
-pkg:docmanager:
-  - packages/docmanager/**/*
-  - packages/docmanager/*
-  - packages/docmanager-extension/**/*
-  - packages/docmanager-extension/*
-
-pkg:docprovider:
-  - packages/docprovider/**/*
-  - packages/docprovider/*
-  - packages/docprovider-extension/**/*
-  - packages/docprovider-extension/*
-
-pkg:docregistry:
-  - packages/docregistry/**/*
-  - packages/docregistry/*
-
-pkg:documentsearch:
-  - packages/documentsearch/**/*
-  - packages/documentsearch/*
-  - packages/documentsearch-extension/**/*
-  - packages/documentsearch-extension/*
-
-pkg:extensionmanager:
-  - packages/extensionmanager/**/*
-  - packages/extensionmanager/*
-  - packages/extensionmanager-extension/**/*
-  - packages/extensionmanager-extension/*
-
-pkg:filebrowser:
-  - packages/filebrowser/**/*
-  - packages/filebrowser/*
-  - packages/filebrowser-extension/**/*
-  - packages/filebrowser-extension/*
-
-pkg:fileeditor:
-  - packages/fileeditor/**/*
-  - packages/fileeditor/*
-  - packages/fileeditor-extension/**/*
-  - packages/fileeditor-extension/*
-
-pkg:help:
-  - packages/help-extension/**/*
-  - packages/help-extension/*
-
-pkg:htmlviewer:
-  - packages/htmlviewer/**/*
-  - packages/htmlviewer/*
-  - packages/htmlviewer-extension/**/*
-  - packages/htmlviewer-extension/*
-
-pkg:hub:
-  - packages/hub-extension/**/*
-  - packages/hub-extension/*
-
-pkg:imageviewer:
-  - packages/imageviewer/**/*
-  - packages/imageviewer/*
-  - packages/imageviewer-extension/**/*
-  - packages/imageviewer-extension/*
-
-pkg:inspector:
-  - packages/inspector/**/*
-  - packages/inspector/*
-  - packages/inspector-extension/**/*
-  - packages/inspector-extension/*
-
-pkg:javascript:
-  - packages/javascript-extension/**/*
-  - packages/javascript-extension/*
-
-pkg:json:
-  - packages/json-extension/**/*
-  - packages/json-extension/*
-
-pkg:launcher:
-  - packages/launcher/**/*
-  - packages/launcher/*
-  - packages/launcher-extension/**/*
-  - packages/launcher-extension/*
-
-pkg:logconsole:
-  - packages/logconsole/**/*
-  - packages/logconsole/*
-  - packages/logconsole-extension/**/*
-  - packages/logconsole-extension/*
-
-pkg:mainmenu:
-  - packages/mainmenu/**/*
-  - packages/mainmenu/*
-  - packages/mainmenu-extension/**/*
-  - packages/mainmenu-extension/*
-
-pkg:markdownviewer:
-  - packages/markdownviewer/**/*
-  - packages/markdownviewer/*
-  - packages/markdownviewer-extension/**/*
-  - packages/markdownviewer-extension/*
-
-pkg:mathjax2:
-  - packages/mathjax2/**/*
-  - packages/mathjax2/*
-  - packages/mathjax2-extension/**/*
-  - packages/mathjax2-extension/*
-
-pkg:notebook:
-  - packages/notebook/**/*
-  - packages/notebook/*
-  - packages/notebook-extension/**/*
-  - packages/notebook-extension/*
-
-pkg:observables:
-  - packages/observables/**/*
-  - packages/observables/*
-
-pkg:outputarea:
-  - packages/outputarea/**/*
-  - packages/outputarea/*
-
-pkg:pdf:
-  - packages/pdf-extension/**/*
-  - packages/pdf-extension/*
-
-pkg:property-inspector:
-  - packages/property-inspector/**/*
-  - packages/property-inspector/*
-
-pkg:rendermime:
-  - packages/rendermime/**/*
-  - packages/rendermime/*
-  - packages/rendermime-interfaces/**/*
-  - packages/rendermime-interfaces/*
-  - packages/rendermime-extension/**/*
-  - packages/rendermime-extension/*
-
-pkg:running:
-  - packages/running/**/*
-  - packages/running/*
-  - packages/running-extension/**/*
-  - packages/running-extension/*
-
-pkg:services:
-  - packages/services/**/*
-  - packages/services/*
-
-pkg:settingeditor:
-  - packages/settingeditor/**/*
-  - packages/settingeditor/*
-  - packages/settingeditor/**/*
-  - packages/settingeditor/*
-
-pkg:settingregistry:
-  - packages/settingregistry/**/*
-  - packages/settingregistry/*
-
-pkg:shared-models:
-  - packages/shared-models/**/*
-  - packages/shared-models/*
-
-pkg:shortcuts:
-  - packages/shortcuts-extension/**/*
-  - packages/shortcuts-extension/*
-
-pkg:statedb:
-  - packages/statedb/**/*
-  - packages/statedb/*
-
-pkg:statusbar:
-  - packages/statusbar/**/*
-  - packages/statusbar/*
-  - packages/statusbar-extension/**/*
-  - packages/statusbar-extension/*
-
-pkg:terminal:
-  - packages/terminal/**/*
-  - packages/terminal/*
-  - packages/terminal-extension/**/*
-  - packages/terminal-extension/*
-
-pkg:themes:
-  - packages/theme-dark-extension/**/*
-  - packages/theme-dark-extension/*
-  - packages/theme-light-extension/**/*
-  - packages/theme-light-extension/*
-
-pkg:toc:
-  - packages/toc/**/*
-  - packages/toc/*
-  - packages/toc-extension/**/*
-  - packages/toc-extension/*
-
-pkg:tooltip:
-  - packages/tooltip/**/*
-  - packages/tooltip/*
-  - packages/tooltip-extension/**/*
-  - packages/tooltip-extension/*
-
-pkg:translation:
-  - packages/translation/**/*
-  - packages/translation/*
-  - packages/translation-extension/**/*
-  - packages/translation-extension/*
-
-pkg:ui-components:
-  - packages/ui-components/**/*
-  - packages/ui-components/*
-  - packages/ui-components-extension/**/*
-  - packages/ui-components-extension/*
-
-pkg:vdom:
-  - packages/vdom/**/*
-  - packages/vdom/*
-  - packages/vdom-extension/**/*
-  - packages/vdom-extension/*
-
-pkg:vega:
-  - packages/vega5-extension/**/*
-  - packages/vega5-extension/*

+ 0 - 26
.github/pull_request_template.md

@@ -1,26 +0,0 @@
-<!--
-Thanks for contributing to JupyterLab!
-Please fill out the following items to submit a pull request.
-See the contributing guidelines for more information:
-https://github.com/jupyterlab/jupyterlab/blob/3.4.x/CONTRIBUTING.md
--->
-
-## References
-
-<!-- Note issue numbers this pull request addresses (should be at least one, see contributing guidelines above). -->
-
-<!-- Note any other pull requests that address this issue and how this pull request is different. -->
-
-## Code changes
-
-<!-- Describe the code changes and how they address the issue. -->
-
-## User-facing changes
-
-<!-- Describe any visual or user interaction changes and how they address the issue. -->
-
-<!-- For visual changes, include before and after screenshots here. -->
-
-## Backwards-incompatible changes
-
-<!-- Describe any backwards-incompatible changes to JupyterLab public APIs. -->

+ 0 - 26
.github/workflows/answered.yml

@@ -1,26 +0,0 @@
-# This action automatically schedules issues to be closed that have been
-# labeled as answered if there is no activity on them for 30 days. This takes
-# care of the common usecase of an issue being answered to the best of our
-# ability and no other follow-up from the submitter.
-name: 'Close answered issues'
-on:
-  schedule:
-    - cron: '30 1 * * *'
-
-permissions:
-  issues: write
-
-jobs:
-  stale:
-    runs-on: ubuntu-latest
-    steps:
-      - uses: actions/stale@v3
-        with:
-          days-before-pr-stale: -1
-          days-before-pr-close: -1
-          skip-stale-issue-message: true
-          days-before-issue-stale: 30
-          days-before-issue-close: 7
-          stale-issue-label: 'status:Closing as Answered'
-          stale-issue-message: '.'
-          only-issue-labels: 'status:Answered'

+ 0 - 15
.github/workflows/auto_author_assign.yml

@@ -1,15 +0,0 @@
-# https://github.com/marketplace/actions/auto-author-assign
-name: 'Auto Author Assign'
-
-on:
-  pull_request_target:
-    types: [opened, reopened]
-
-permissions:
-  pull-requests: write
-
-jobs:
-  assign-author:
-    runs-on: ubuntu-latest
-    steps:
-      - uses: toshimaru/auto-author-assign@v1.3.4

+ 0 - 48
.github/workflows/check-i18n.yml

@@ -1,48 +0,0 @@
-name: Check internationalization changes
-
-on:
-  pull_request:
-
-jobs:
-  check_i18n:
-    runs-on: ubuntu-latest
-    steps:
-      - name: Checkout
-        uses: actions/checkout@v2
-
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-
-      - name: Install dependencies
-        run: |
-          python -m pip install -U pip jupyterlab-translate~=1.0
-
-      - name: Compute hash
-        id: currentHash
-        run: |
-          set -eux
-          HASH=$(python scripts/i18n_check.py | tail -n1)
-          echo "::set-output name=i18n::${HASH}"
-
-      - name: Checkout target
-        run: |
-          echo Checking ${GITHUB_BASE_REF}...
-          # Ref https://github.com/actions/checkout/issues/93
-          git fetch --depth=1 origin +refs/heads/${GITHUB_BASE_REF}:refs/remotes/origin/${GITHUB_BASE_REF}
-          git checkout ${GITHUB_BASE_REF}
-
-      - name: Check hash
-        env:
-          CURRENT: ${{ steps.currentHash.outputs.i18n }}
-        run: |
-          set -eux
-          EXPECTED=$(python scripts/i18n_check.py | tail -n1)
-          if [[ "${CURRENT}" != "${EXPECTED}" ]]; then
-            echo "Translatable strings have changed, this is only allowed on major or minor version bumps."
-            # Set job status as failed if
-            # - branch is not "master"
-            # - and current version is not a pre release of a zeroed patch version
-            if [[ "${GITHUB_BASE_REF}" != "master" && ! ( $(python setup.py --version) =~ ^[0-9]+\.[0-9]+\.0(\.dev|a|b|rc)[0-9]+$ ) ]]; then
-              exit 1
-            fi
-          fi

+ 0 - 42
.github/workflows/check-release.yml

@@ -1,42 +0,0 @@
-name: Check Release
-
-on:
-  push:
-    branches: [3.4.x]
-  pull_request:
-    branches: [3.4.x]
-  release:
-    types: [published]
-
-jobs:
-
-  check_release:
-    runs-on: ubuntu-latest
-    strategy:
-      matrix:
-        group: [check_release, link_check]
-    steps:
-      - name: Checkout
-        uses: actions/checkout@v2
-
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-
-      - name: Check Release
-        if: ${{ matrix.group == 'check_release' }}
-        uses: jupyter-server/jupyter_releaser/.github/actions/check-release@v1
-        with:
-          token: ${{ secrets.GITHUB_TOKEN }}
-          version_spec: next
-
-      - name: Run Link Check
-        if: ${{ matrix.group == 'link_check' }}
-        uses: jupyter-server/jupyter_releaser/.github/actions/check-links@v1
-
-      - name: Upload Assets
-        if: ${{ matrix.group == 'check_release' }}
-        uses: actions/upload-artifact@v2
-        with:
-          name: dist-files
-          path: |
-            .jupyter_releaser_checkout/dist/*.*

+ 0 - 72
.github/workflows/codeql-analysis.yml

@@ -1,72 +0,0 @@
-# For most projects, this workflow file will not need changing; you simply need
-# to commit it to your repository.
-#
-# You may wish to alter this file to override the set of languages analyzed,
-# or to provide custom queries or build logic.
-name: "CodeQL"
-
-on:
-  push:
-    branches: [3.4.x]
-  pull_request:
-    # The branches below must be a subset of the branches above
-    branches: [3.4.x]
-  schedule:
-    - cron: '0 8 * * 3'
-
-permissions:
-  security-events:
-    write
-
-jobs:
-  analyze:
-    name: Analyze
-    runs-on: ubuntu-20.04
-
-    strategy:
-      fail-fast: false
-      matrix:
-        # Override automatic language detection by changing the below list
-        # Supported options are ['csharp', 'cpp', 'go', 'java', 'javascript', 'python']
-        language: ['javascript', 'python']
-        # Learn more...
-        # https://docs.github.com/en/github/finding-security-vulnerabilities-and-errors-in-your-code/configuring-code-scanning#overriding-automatic-language-detection
-
-    steps:
-    - name: Checkout repository
-      uses: actions/checkout@v2
-      with:
-        # We must fetch at least the immediate parents so that if this is
-        # a pull request then we can checkout the head.
-        fetch-depth: 2
-
-    # Initializes the CodeQL tools for scanning.
-    - name: Initialize CodeQL
-      uses: github/codeql-action/init@v1
-      with:
-        languages: ${{ matrix.language }}
-        config-file: ./.github/codeql/codeql-config.yml
-
-        # If you wish to specify custom queries, you can do so here or in a config file.
-        # By default, queries listed here will override any specified in a config file.
-        # Prefix the list here with "+" to use these queries and those in the config file.
-        # queries: ./path/to/local/query, your-org/your-repo/queries@main
-
-    # Autobuild attempts to build any compiled languages  (C/C++, C#, or Java).
-    # If this step fails, then you should remove it and run the build manually (see below)
-    - name: Autobuild
-      uses: github/codeql-action/autobuild@v1
-
-    # ℹ️ Command-line programs to run using the OS shell.
-    # 📚 https://git.io/JvXDl
-
-    # ✏️ If the Autobuild fails above, remove it and uncomment the following three lines
-    #    and modify them (or add more) to build your code if your project
-    #    uses a compiled language
-
-    #- run: |
-    #   make bootstrap
-    #   make release
-
-    - name: Perform CodeQL Analysis
-      uses: github/codeql-action/analyze@v1

+ 0 - 13
.github/workflows/enforce-label.yml

@@ -1,13 +0,0 @@
-name: Enforce PR label
-
-on:
-  pull_request:
-    types: [labeled, unlabeled, opened, edited, synchronize]
-jobs:
-  enforce-label:
-    runs-on: ubuntu-latest
-    permissions:
-      pull-requests: write
-    steps:
-      - name: enforce-triage-label
-        uses: jupyterlab/maintainer-tools/.github/actions/enforce-label@v1

+ 0 - 74
.github/workflows/galata.yml

@@ -1,74 +0,0 @@
-name: UI Tests
-
-on:
-  push:
-    branches:
-      - '3.2.x'
-  pull_request:
-    branches:
-      - '*'
-
-jobs:
-  build:
-    name: Visual Regression Tests
-    timeout-minutes: 80
-    runs-on: ubuntu-20.04
-    steps:
-      - name: Checkout
-        uses: actions/checkout@v2
-
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-
-      - name: Install dependencies
-        run: |
-          bash ./scripts/ci_install.sh
-          # Build dev-mode
-          jlpm run build
-
-      - name: Launch JupyterLab
-        run: |
-          cd galata
-          # Mount a volume to overwrite the server configuration
-          jlpm start 2>&1 > /tmp/jupyterlab_server.log &
-
-      - name: Install browser
-        run: |
-          cd galata
-          # Install only Chromium browser
-          jlpm playwright install chromium
-          jlpm run build
-
-      - name: Wait for JupyterLab
-        uses: ifaxity/wait-on-action@v1
-        with:
-          resource: http-get://localhost:8888/lab
-          timeout: 360000
-
-      - name: Test
-        run: |
-          cd galata
-          jlpm run test
-          # Run once benchmark tests to ensure they have no regression
-          BENCHMARK_NUMBER_SAMPLES=1 jlpm run test:benchmark
-
-      - name: Upload Galata Test assets
-        if: always()
-        uses: actions/upload-artifact@v2
-        with:
-          name: galata-test-assets
-          path: |
-            galata/test-results
-
-      - name: Upload Galata Test report
-        if: always()
-        uses: actions/upload-artifact@v2
-        with:
-          name: galata-report
-          path: |
-            galata/playwright-report
-
-      - name: Print JupyterLab logs
-        if: always()
-        run: |
-          cat /tmp/jupyterlab_server.log

+ 0 - 16
.github/workflows/labeler.yml

@@ -1,16 +0,0 @@
-# https://github.com/marketplace/actions/labeler
-name: "Pull Request Labeler"
-on:
-- pull_request_target
-
-permissions:
-  pull-requests: write
-
-jobs:
-  triage:
-    name: Update PR Labels
-    runs-on: ubuntu-latest
-    steps:
-    - uses: actions/labeler@main
-      with:
-        repo-token: "${{ secrets.GITHUB_TOKEN }}"

+ 0 - 36
.github/workflows/linuxjs-flaky-tests.yml

@@ -1,36 +0,0 @@
-name: Linux JS Flaky Tests
-
-on:
-  push:
-    branches: [3.4.x]
-  pull_request:
-    branches: [3.4.x]
-  release:
-    types: [published]
-
-jobs:
-  linuxjs:
-    name: JS
-    strategy:
-      matrix:
-        group: [js-apputils, js-services]
-      fail-fast: false
-    runs-on: ubuntu-20.04
-    steps:
-      - name: Checkout
-        uses: actions/checkout@v2
-
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-
-      - name: Install dependencies
-        env:
-          GROUP: ${{ matrix.group }}
-        run: |
-          bash ./scripts/ci_install.sh
-
-      - name: Run test ${{ matrix.group }}
-        env:
-          GROUP: ${{ matrix.group }}
-        run: |
-          bash ./scripts/ci_script.sh

+ 0 - 71
.github/workflows/linuxjs-tests.yml

@@ -1,71 +0,0 @@
-name: Linux JS Tests
-
-on:
-  push:
-    branches: [3.4.x]
-  pull_request:
-    branches: [3.4.x]
-  release:
-    types: [published]
-
-jobs:
-  linuxjs:
-    name: JS
-    strategy:
-      matrix:
-        group:
-          [
-            js-application,
-            js-cells,
-            js-cell-toolbar,
-            js-codeeditor,
-            js-codemirror,
-            js-completer,
-            js-console,
-            js-coreutils,
-            js-csvviewer,
-            js-debugger,
-            js-docmanager,
-            js-docregistry,
-            js-documentsearch,
-            js-filebrowser,
-            js-fileeditor,
-            js-imageviewer,
-            js-inspector,
-            js-logconsole,
-            js-mainmenu,
-            js-nbformat,
-            js-notebook,
-            js-observables,
-            js-outputarea,
-            js-rendermime,
-            js-settingregistry,
-            js-statedb,
-            js-statusbar,
-            js-terminal,
-            js-toc,
-            js-translation,
-            js-ui-components,
-            js-testutils,
-          ]
-      fail-fast: false
-    runs-on: ubuntu-20.04
-    timeout-minutes: 20
-    steps:
-      - name: Checkout
-        uses: actions/checkout@v2
-
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-
-      - name: Install dependencies
-        env:
-          GROUP: ${{ matrix.group }}
-        run: |
-          bash ./scripts/ci_install.sh
-
-      - name: Run test ${{ matrix.group }}
-        env:
-          GROUP: ${{ matrix.group }}
-        run: |
-          bash ./scripts/ci_script.sh

+ 0 - 149
.github/workflows/linuxtests.yml

@@ -1,149 +0,0 @@
-name: Linux Tests
-
-on:
-  push:
-    branches: [3.4.x]
-  pull_request:
-    branches: [3.4.x]
-  release:
-    types: [published]
-
-jobs:
-  linuxtests:
-    name: Linux
-    strategy:
-      matrix:
-        group:
-          [
-            integrity,
-            integrity2,
-            integrity3,
-            release_test,
-            docs,
-            usage,
-            usage2,
-            splice_source,
-            python,
-            examples,
-            interop,
-            nonode,
-            linkcheck,
-            lint,
-          ]
-        # This will be used by the base setup action
-        python-version: ['3.7', '3.10']
-        include:
-          - group: release_test
-            upload-output: true
-        exclude:
-          - group: integrity
-            python-version: '3.7'
-          - group: integrity2
-            python-version: '3.7'
-          - group: integrity3
-            python-version: '3.7'
-          - group: release_test
-            python-version: '3.7'
-          - group: docs
-            python-version: '3.7'
-          - group: usage
-            python-version: '3.7'
-          - group: usage2
-            python-version: '3.7'
-          - group: linkcheck
-            python-version: '3.7'
-          - group: nonode
-            python-version: '3.7'
-          - group: lint
-            python-version: '3.7'
-          - group: examples
-            python-version: '3.7'
-          - group: splice_source
-            python-version: '3.7'
-      fail-fast: false
-    timeout-minutes: 45
-    runs-on: ubuntu-20.04
-    steps:
-      - name: Checkout
-        uses: actions/checkout@v2
-
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-
-      - name: Setup firefox
-        uses: browser-actions/setup-firefox@latest
-
-      - name: Install dependencies
-        env:
-          GROUP: ${{ matrix.group }}
-        run: |
-          bash ./scripts/ci_install.sh
-
-      - name: Run test ${{ matrix.group }}
-        env:
-          GROUP: ${{ matrix.group }}
-          JLAB_BROWSER_TYPE: firefox
-        run: |
-          bash ./scripts/ci_script.sh
-
-      - name: Upload ${{ matrix.group }} results
-        if: ${{ matrix.upload-output && always() }}
-        uses: actions/upload-artifact@v2
-        with:
-          name: ${{ matrix.group }} ${{ github.run_number }}
-          path: ./build/${{ matrix.group }}_output
-
-  make_sdist:
-    name: Make SDist
-    runs-on: ubuntu-latest
-    timeout-minutes: 20
-    steps:
-      - uses: actions/checkout@v2
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-      - name: Install dependencies
-        run: |
-          bash ./scripts/ci_install.sh
-      - name: Build SDist
-        run: |
-          pip install build
-          python -m build --sdist
-      - uses: actions/upload-artifact@v2
-        with:
-          name: "sdist"
-          path: dist/*.tar.gz
-
-  test_sdist:
-    runs-on: ubuntu-latest
-    needs: [make_sdist]
-    name: Install from SDist and Test
-    timeout-minutes: 20
-    steps:
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-      - name: Download sdist
-        uses: actions/download-artifact@v2
-      - name: Install From SDist
-        run: |
-          set -ex
-          cd sdist
-          mkdir test
-          tar --strip-components=1 -zxvf *.tar.gz -C ./test
-          cd test
-          pip install -e .[test]
-          pip install pytest-github-actions-annotate-failures
-      - name: Run Test
-        run: |
-          cd sdist/test
-          pytest -vv || pytest -vv --lf
-
-  pre-commit:
-    runs-on: ubuntu-latest
-    timeout-minutes: 10
-    steps:
-      - uses: actions/checkout@v2
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-      - name: Install Jupyterlab
-        run: pip install -e .
-      - uses: pre-commit/action@v2.0.0

+ 0 - 23
.github/workflows/lock.yml

@@ -1,23 +0,0 @@
-name: 'Lock Closed Threads'
-
-on:
-  schedule:
-    - cron: '0 0 * * *'
-
-permissions:
-  issues:
-    write
-  pull-requests:
-    write
-
-jobs:
-  lock:
-    runs-on: ubuntu-20.04
-    steps:
-      - uses: dessant/lock-threads@v2
-        with:
-          github-token: ${{ github.token }}
-          issue-lock-inactive-days: '180'
-          issue-lock-labels: 'status:resolved-locked'
-          pr-lock-inactive-days: '180'
-          pr-lock-labels: 'status:resolved-locked'

+ 0 - 42
.github/workflows/macostests.yml

@@ -1,42 +0,0 @@
-name: macOS Tests
-
-on:
-  push:
-    branches: [3.4.x]
-  pull_request:
-    branches: [3.4.x]
-  release:
-    types: [published]
-
-jobs:
-  macostests:
-    name: macOS
-    strategy:
-      matrix:
-        group: [integrity, python, usage, usage2]
-        python: [3.8]
-      fail-fast: false
-    timeout-minutes: 45
-    runs-on: macos-latest
-    steps:
-      - name: Checkout
-        uses: actions/checkout@v2
-
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-
-      - name: Setup firefox
-        uses: browser-actions/setup-firefox@latest
-
-      - name: Install dependencies
-        env:
-          GROUP: ${{ matrix.group }}
-        run: |
-          bash ./scripts/ci_install.sh
-
-      - name: Run test ${{ matrix.group }}
-        env:
-          GROUP: ${{ matrix.group }}
-          JLAB_BROWSER_TYPE: webkit
-        run: |
-          bash ./scripts/ci_script.sh

+ 0 - 37
.github/workflows/windowstests.yml

@@ -1,37 +0,0 @@
-name: Windows Tests
-
-on:
-  push:
-    branches: [3.4.x]
-  pull_request:
-    branches: [3.4.x]
-  release:
-    types: [published]
-
-jobs:
-  windowstests:
-    name: Windows
-    strategy:
-      matrix:
-        group: [integrity, python]
-      fail-fast: false
-    runs-on: windows-latest
-    timeout-minutes: 40
-    steps:
-      - name: Checkout
-        uses: actions/checkout@v2
-
-      - name: Base Setup
-        uses: jupyterlab/maintainer-tools/.github/actions/base-setup@v1
-
-      - name: Install dependencies
-        env:
-          GROUP: ${{ matrix.group }}
-        run: .\scripts\ci_install
-        shell: pwsh
-
-      - name: Run test ${{ matrix.group }}
-        env:
-          GROUP: ${{ matrix.group }}
-        run: .\scripts\ci_script
-        shell: pwsh

+ 6 - 0
bdist_wheel.sh

@@ -0,0 +1,6 @@
+#!/bin/bash
+set -e
+jlpm build:dev:prod:release
+rm -rf jupyterlab/schemas jupyterlab/static jupyterlab/themes jupyterlab/style.js
+cp -r dev_mode/schemas dev_mode/static dev_mode/themes dev_mode/style.js jupyterlab
+python -m build

+ 8 - 8
buildutils/src/ensure-package.ts

@@ -561,14 +561,14 @@ export async function ensurePackage(
     let lines = main.split('\n');
     let writeMain = false;
 
-    if (!main.includes('Copyright ')) {
-      lines.unshift(
-        '// Copyright (c) Jupyter Development Team.',
-        '// Distributed under the terms of the Modified BSD License.',
-        ''
-      );
-      writeMain = true;
-    }
+    // if (!main.includes('Copyright ')) {
+    //   lines.unshift(
+    //     '// Copyright (c) Jupyter Development Team.',
+    //     '// Distributed under the terms of the Modified BSD License.',
+    //     ''
+    //   );
+    //   writeMain = true;
+    // }
     if (!main.includes('@packageDocumentation')) {
       lines.splice(
         lines.indexOf(''),

+ 0 - 5
buildutils/src/ensure-repo.ts

@@ -215,7 +215,6 @@ const SKIP_CSS: Dict<string[]> = {
     '@jupyterlab/statusbar-extension',
     '@jupyterlab/terminal',
     '@jupyterlab/terminal-extension',
-    '@jupyterlab/theme-dark-extension',
     '@jupyterlab/theme-light-extension',
     '@jupyterlab/toc',
     '@jupyterlab/toc-extension',
@@ -242,10 +241,6 @@ const SKIP_CSS: Dict<string[]> = {
     '@jupyterlab/application',
     '@jupyterlab/apputils'
   ],
-  '@jupyterlab/theme-dark-extension': [
-    '@jupyterlab/application',
-    '@jupyterlab/apputils'
-  ],
   '@jupyterlab/ui-extension': ['@blueprintjs/icons']
 };
 

+ 0 - 4
dev_mode/package.json

@@ -97,7 +97,6 @@
     "@jupyterlab/statusbar-extension": "~3.4.3",
     "@jupyterlab/terminal": "~3.4.3",
     "@jupyterlab/terminal-extension": "~3.4.3",
-    "@jupyterlab/theme-dark-extension": "~3.4.3",
     "@jupyterlab/theme-light-extension": "~3.4.3",
     "@jupyterlab/toc": "~5.4.3",
     "@jupyterlab/toc-extension": "~5.4.3",
@@ -165,7 +164,6 @@
     "@jupyterlab/shortcuts-extension": "~3.4.3",
     "@jupyterlab/statusbar-extension": "~3.4.3",
     "@jupyterlab/terminal-extension": "~3.4.3",
-    "@jupyterlab/theme-dark-extension": "~3.4.3",
     "@jupyterlab/theme-light-extension": "~3.4.3",
     "@jupyterlab/toc-extension": "~5.4.3",
     "@jupyterlab/tooltip-extension": "~3.4.3",
@@ -244,7 +242,6 @@
       "@jupyterlab/shortcuts-extension": "",
       "@jupyterlab/statusbar-extension": "",
       "@jupyterlab/terminal-extension": "",
-      "@jupyterlab/theme-dark-extension": "",
       "@jupyterlab/theme-light-extension": "",
       "@jupyterlab/toc-extension": "",
       "@jupyterlab/tooltip-extension": "",
@@ -395,7 +392,6 @@
       "@jupyterlab/statusbar-extension": "../packages/statusbar-extension",
       "@jupyterlab/terminal": "../packages/terminal",
       "@jupyterlab/terminal-extension": "../packages/terminal-extension",
-      "@jupyterlab/theme-dark-extension": "../packages/theme-dark-extension",
       "@jupyterlab/theme-light-extension": "../packages/theme-light-extension",
       "@jupyterlab/toc": "../packages/toc",
       "@jupyterlab/toc-extension": "../packages/toc-extension",

+ 3 - 3
jupyterlab/staging/package.json

@@ -60,6 +60,7 @@
     "@jupyterlab/inspector": "~3.4.3",
     "@jupyterlab/inspector-extension": "~3.4.3",
     "@jupyterlab/javascript-extension": "~3.4.3",
+    "@jupyterlab/jldbq-extension": "~1.0.0",
     "@jupyterlab/json-extension": "~3.4.3",
     "@jupyterlab/launcher": "~3.4.3",
     "@jupyterlab/launcher-extension": "~3.4.3",
@@ -96,7 +97,6 @@
     "@jupyterlab/statusbar-extension": "~3.4.3",
     "@jupyterlab/terminal": "~3.4.3",
     "@jupyterlab/terminal-extension": "~3.4.3",
-    "@jupyterlab/theme-dark-extension": "~3.4.3",
     "@jupyterlab/theme-light-extension": "~3.4.3",
     "@jupyterlab/toc": "~5.4.3",
     "@jupyterlab/toc-extension": "~5.4.3",
@@ -149,6 +149,7 @@
     "@jupyterlab/imageviewer-extension": "~3.4.3",
     "@jupyterlab/inspector-extension": "~3.4.3",
     "@jupyterlab/javascript-extension": "~3.4.3",
+    "@jupyterlab/jldbq-extension": "~1.0.0",
     "@jupyterlab/json-extension": "~3.4.3",
     "@jupyterlab/launcher-extension": "~3.4.3",
     "@jupyterlab/logconsole-extension": "~3.4.3",
@@ -163,7 +164,6 @@
     "@jupyterlab/shortcuts-extension": "~3.4.3",
     "@jupyterlab/statusbar-extension": "~3.4.3",
     "@jupyterlab/terminal-extension": "~3.4.3",
-    "@jupyterlab/theme-dark-extension": "~3.4.3",
     "@jupyterlab/theme-light-extension": "~3.4.3",
     "@jupyterlab/toc-extension": "~5.4.3",
     "@jupyterlab/tooltip-extension": "~3.4.3",
@@ -229,6 +229,7 @@
       "@jupyterlab/hub-extension": "",
       "@jupyterlab/imageviewer-extension": "",
       "@jupyterlab/inspector-extension": "",
+      "@jupyterlab/jldbq-extension": "",
       "@jupyterlab/launcher-extension": "",
       "@jupyterlab/logconsole-extension": "",
       "@jupyterlab/mainmenu-extension": "",
@@ -241,7 +242,6 @@
       "@jupyterlab/shortcuts-extension": "",
       "@jupyterlab/statusbar-extension": "",
       "@jupyterlab/terminal-extension": "",
-      "@jupyterlab/theme-dark-extension": "",
       "@jupyterlab/theme-light-extension": "",
       "@jupyterlab/toc-extension": "",
       "@jupyterlab/tooltip-extension": "",

File diff suppressed because it is too large
+ 1055 - 1
jupyterlab/staging/yarn.lock


+ 0 - 1
packages/extensionmanager-extension/examples/listings/index.js

@@ -37,7 +37,6 @@ window.addEventListener('load', async function () {
     require('@jupyterlab/shortcuts-extension'),
     require('@jupyterlab/statusbar-extension'),
     require('@jupyterlab/terminal-extension'),
-    require('@jupyterlab/theme-dark-extension'),
     require('@jupyterlab/theme-light-extension'),
     require('@jupyterlab/tooltip-extension'),
     require('@jupyterlab/ui-components-extension')

+ 0 - 1
packages/extensionmanager-extension/examples/listings/package.json

@@ -34,7 +34,6 @@
     "@jupyterlab/shortcuts-extension": "^2.0.2",
     "@jupyterlab/statusbar-extension": "^2.0.2",
     "@jupyterlab/terminal-extension": "^2.0.2",
-    "@jupyterlab/theme-dark-extension": "^2.0.2",
     "@jupyterlab/theme-light-extension": "^2.0.2",
     "@jupyterlab/tooltip-extension": "^2.0.2",
     "@jupyterlab/ui-components-extension": "^2.0.2",

+ 1 - 3
packages/jldbq-extenison/src/index.ts

@@ -1,5 +1,3 @@
-// Copyright (c) Jupyter Development Team.
-// Distributed under the terms of the Modified BSD License.
 /**
  * @packageDocumentation
  * @module jldbq-extension
@@ -32,7 +30,7 @@ const plugin: JupyterFrontEndPlugin<void> = {
     });
     await updateConfig(registry);
 
-    const manager = 'test1'; // TODO:
+    const manager = 'test1'; // TODO: 读取当前用户
 
     const dataViewWidget = new DataViewWidget(manager);
     dataViewWidget.id = 'jldbq-data';

+ 126 - 126
packages/launcher-extension/src/index.ts

@@ -5,129 +5,129 @@
  * @module launcher-extension
  */
 
-import {
-  ILabShell,
-  JupyterFrontEnd,
-  JupyterFrontEndPlugin
-} from '@jupyterlab/application';
-import { ICommandPalette, MainAreaWidget } from '@jupyterlab/apputils';
-import { ILauncher, Launcher, LauncherModel } from '@jupyterlab/launcher';
-import { ITranslator } from '@jupyterlab/translation';
-import { launcherIcon } from '@jupyterlab/ui-components';
-import { toArray } from '@lumino/algorithm';
-import { JSONObject } from '@lumino/coreutils';
-import { DockPanel, TabBar, Widget } from '@lumino/widgets';
-
-/**
- * The command IDs used by the launcher plugin.
- */
-namespace CommandIDs {
-  export const create = 'launcher:create';
-}
-
-/**
- * A service providing an interface to the the launcher.
- */
-const plugin: JupyterFrontEndPlugin<ILauncher> = {
-  activate,
-  id: '@jupyterlab/launcher-extension:plugin',
-  requires: [ITranslator],
-  optional: [ILabShell, ICommandPalette],
-  provides: ILauncher,
-  autoStart: true
-};
-
-/**
- * Export the plugin as default.
- */
-export default plugin;
-
-/**
- * Activate the launcher.
- */
-function activate(
-  app: JupyterFrontEnd,
-  translator: ITranslator,
-  labShell: ILabShell | null,
-  palette: ICommandPalette | null
-): ILauncher {
-  const { commands, shell } = app;
-  const trans = translator.load('jupyterlab');
-  const model = new LauncherModel();
-
-  commands.addCommand(CommandIDs.create, {
-    label: trans.__('New Launcher'),
-    execute: (args: JSONObject) => {
-      const cwd = args['cwd'] ? String(args['cwd']) : '';
-      const id = `launcher-${Private.id++}`;
-      const callback = (item: Widget) => {
-        shell.add(item, 'main', { ref: id });
-      };
-      const launcher = new Launcher({
-        model,
-        cwd,
-        callback,
-        commands,
-        translator
-      });
-
-      launcher.model = model;
-      launcher.title.icon = launcherIcon;
-      launcher.title.label = trans.__('Launcher');
-
-      const main = new MainAreaWidget({ content: launcher });
-
-      // If there are any other widgets open, remove the launcher close icon.
-      main.title.closable = !!toArray(shell.widgets('main')).length;
-      main.id = id;
-
-      shell.add(main, 'main', {
-        activate: args['activate'] as boolean,
-        ref: args['ref'] as string
-      });
-
-      if (labShell) {
-        labShell.layoutModified.connect(() => {
-          // If there is only a launcher open, remove the close icon.
-          main.title.closable = toArray(labShell.widgets('main')).length > 1;
-        }, main);
-      }
-
-      return main;
-    }
-  });
-
-  if (palette) {
-    palette.addItem({
-      command: CommandIDs.create,
-      category: trans.__('Launcher')
-    });
-  }
-
-  if (labShell) {
-    labShell.addButtonEnabled = true;
-    labShell.addRequested.connect((sender: DockPanel, arg: TabBar<Widget>) => {
-      // Get the ref for the current tab of the tabbar which the add button was clicked
-      const ref =
-        arg.currentTitle?.owner.id ||
-        arg.titles[arg.titles.length - 1].owner.id;
-      if (commands.hasCommand('filebrowser:create-main-launcher')) {
-        // If a file browser is defined connect the launcher to it
-        return commands.execute('filebrowser:create-main-launcher', { ref });
-      }
-      return commands.execute(CommandIDs.create, { ref });
-    });
-  }
-
-  return model;
-}
-
-/**
- * The namespace for module private data.
- */
-namespace Private {
-  /**
-   * The incrementing id used for launcher widgets.
-   */
-  export let id = 0;
-}
+// import {
+//   ILabShell,
+//   JupyterFrontEnd,
+//   JupyterFrontEndPlugin
+// } from '@jupyterlab/application';
+// import { ICommandPalette, MainAreaWidget } from '@jupyterlab/apputils';
+// import { ILauncher, Launcher, LauncherModel } from '@jupyterlab/launcher';
+// import { ITranslator } from '@jupyterlab/translation';
+// import { launcherIcon } from '@jupyterlab/ui-components';
+// import { toArray } from '@lumino/algorithm';
+// import { JSONObject } from '@lumino/coreutils';
+// import { DockPanel, TabBar, Widget } from '@lumino/widgets';
+
+// /**
+//  * The command IDs used by the launcher plugin.
+//  */
+// namespace CommandIDs {
+//   export const create = 'launcher:create';
+// }
+
+// /**
+//  * A service providing an interface to the the launcher.
+//  */
+// const plugin: JupyterFrontEndPlugin<ILauncher> = {
+//   activate,
+//   id: '@jupyterlab/launcher-extension:plugin',
+//   requires: [ITranslator],
+//   optional: [ILabShell, ICommandPalette],
+//   provides: ILauncher,
+//   autoStart: true
+// };
+
+// /**
+//  * Export the plugin as default.
+//  */
+// export default plugin;
+
+// /**
+//  * Activate the launcher.
+//  */
+// function activate(
+//   app: JupyterFrontEnd,
+//   translator: ITranslator,
+//   labShell: ILabShell | null,
+//   palette: ICommandPalette | null
+// ): ILauncher {
+//   const { commands, shell } = app;
+//   const trans = translator.load('jupyterlab');
+//   const model = new LauncherModel();
+
+//   commands.addCommand(CommandIDs.create, {
+//     label: trans.__('New Launcher'),
+//     execute: (args: JSONObject) => {
+//       const cwd = args['cwd'] ? String(args['cwd']) : '';
+//       const id = `launcher-${Private.id++}`;
+//       const callback = (item: Widget) => {
+//         shell.add(item, 'main', { ref: id });
+//       };
+//       const launcher = new Launcher({
+//         model,
+//         cwd,
+//         callback,
+//         commands,
+//         translator
+//       });
+
+//       launcher.model = model;
+//       launcher.title.icon = launcherIcon;
+//       launcher.title.label = trans.__('Launcher');
+
+//       const main = new MainAreaWidget({ content: launcher });
+
+//       // If there are any other widgets open, remove the launcher close icon.
+//       main.title.closable = !!toArray(shell.widgets('main')).length;
+//       main.id = id;
+
+//       shell.add(main, 'main', {
+//         activate: args['activate'] as boolean,
+//         ref: args['ref'] as string
+//       });
+
+//       if (labShell) {
+//         labShell.layoutModified.connect(() => {
+//           // If there is only a launcher open, remove the close icon.
+//           main.title.closable = toArray(labShell.widgets('main')).length > 1;
+//         }, main);
+//       }
+
+//       return main;
+//     }
+//   });
+
+//   if (palette) {
+//     palette.addItem({
+//       command: CommandIDs.create,
+//       category: trans.__('Launcher')
+//     });
+//   }
+
+//   if (labShell) {
+//     labShell.addButtonEnabled = true;
+//     labShell.addRequested.connect((sender: DockPanel, arg: TabBar<Widget>) => {
+//       // Get the ref for the current tab of the tabbar which the add button was clicked
+//       const ref =
+//         arg.currentTitle?.owner.id ||
+//         arg.titles[arg.titles.length - 1].owner.id;
+//       if (commands.hasCommand('filebrowser:create-main-launcher')) {
+//         // If a file browser is defined connect the launcher to it
+//         return commands.execute('filebrowser:create-main-launcher', { ref });
+//       }
+//       return commands.execute(CommandIDs.create, { ref });
+//     });
+//   }
+
+//   return model;
+// }
+
+// /**
+//  * The namespace for module private data.
+//  */
+// namespace Private {
+//   /**
+//    * The incrementing id used for launcher widgets.
+//    */
+//   export let id = 0;
+// }

+ 0 - 1
packages/metapackage/package.json

@@ -114,7 +114,6 @@
     "@jupyterlab/statusbar-extension": "^3.4.3",
     "@jupyterlab/terminal": "^3.4.3",
     "@jupyterlab/terminal-extension": "^3.4.3",
-    "@jupyterlab/theme-dark-extension": "^3.4.3",
     "@jupyterlab/theme-light-extension": "^3.4.3",
     "@jupyterlab/toc": "^5.4.3",
     "@jupyterlab/toc-extension": "^5.4.3",

+ 1 - 6
packages/metapackage/tsconfig.json

@@ -4,9 +4,7 @@
     "outDir": "lib",
     "rootDir": "src"
   },
-  "include": [
-    "src/*"
-  ],
+  "include": ["src/*"],
   "references": [
     {
       "path": "../application"
@@ -245,9 +243,6 @@
     {
       "path": "../terminal-extension"
     },
-    {
-      "path": "../theme-dark-extension"
-    },
     {
       "path": "../theme-light-extension"
     },

+ 9 - 9
pyproject.toml

@@ -5,15 +5,15 @@ build-backend = "jupyter_packaging.build_api"
 [license]
 file="LICENSE"
 
-[tool.jupyter-packaging.builder]
-factory = "jupyter_packaging.npm_builder"
-
-[tool.jupyter-packaging.build-args]
-build_cmd = "build:prod:minimize"
-path = "jupyterlab/staging"
-source_dir= "jupyterlab/staging"
-build_dir = "jupyterlab/static"
-npm = ["node", "yarn.js"]
+# [tool.jupyter-packaging.builder]
+# factory = "jupyter_packaging.npm_builder"
+
+# [tool.jupyter-packaging.build-args]
+# build_cmd = "build:prod:minimize"
+# path = "jupyterlab/staging"
+# source_dir= "jupyterlab/staging"
+# build_dir = "jupyterlab/static"
+# npm = ["node", "yarn.js"]
 
 [tool.pytest.ini_options]
 testpaths="jupyterlab/tests"

+ 11 - 9
setup.py

@@ -61,20 +61,22 @@ try:
         builder = npm_builder(build_cmd=None, npm=npm, force=True)
 
         def post_develop(*args, **kwargs):
-            builder(*args, **kwargs)
-            try:
-                subprocess.run([sys.executable, "-m", "pre_commit", "install"])
-                subprocess.run(
-                    [sys.executable, "-m", "pre_commit", "install", "--hook-type", "pre-push"]
-                )
-            except Exception:
-                pass
+            # builder(*args, **kwargs)
+            # try:
+            #     subprocess.run([sys.executable, "-m", "pre_commit", "install"])
+            #     subprocess.run(
+            #         [sys.executable, "-m", "pre_commit", "install", "--hook-type", "pre-push"]
+            #     )
+            # except Exception:
+            #     pass
+            pass
 
         cmdclass = wrap_installers(
             post_develop=post_develop, post_dist=post_dist, ensured_targets=ensured_targets
         )
     else:
-        cmdclass = wrap_installers(post_dist=post_dist, ensured_targets=ensured_targets)
+        cmdclass = wrap_installers(
+            post_dist=post_dist, ensured_targets=ensured_targets)
 
     setup_args = dict(
         cmdclass=cmdclass,

+ 0 - 3
tsconfigdoc.json

@@ -253,9 +253,6 @@
     {
       "path": "./packages/terminal-extension"
     },
-    {
-      "path": "./packages/theme-dark-extension"
-    },
     {
       "path": "./packages/theme-light-extension"
     },

+ 330 - 0
yarn.lock

@@ -1562,6 +1562,314 @@
     "@types/yargs" "^15.0.0"
     chalk "^4.0.0"
 
+"@jupyterlab/application@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/application/-/application-3.4.4.tgz#86e3a11fae7d9b937b0f4ad0a2b565e8255c4227"
+  integrity sha512-OGvtOd5U71+So5fJ8owIfz4c3ZGu8SVto+PZ+4z7BVN2N4Ya9j1iZaUdtaH9qAGBDEtzG4zzjkrKsN+JI0Yxcw==
+  dependencies:
+    "@fortawesome/fontawesome-free" "^5.12.0"
+    "@jupyterlab/apputils" "^3.4.4"
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/docregistry" "^3.4.4"
+    "@jupyterlab/rendermime" "^3.4.4"
+    "@jupyterlab/rendermime-interfaces" "^3.4.4"
+    "@jupyterlab/services" "^6.4.4"
+    "@jupyterlab/statedb" "^3.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+    "@jupyterlab/ui-components" "^3.4.4"
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/application" "^1.27.0"
+    "@lumino/commands" "^1.19.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/messaging" "^1.10.0"
+    "@lumino/polling" "^1.9.0"
+    "@lumino/properties" "^1.8.0"
+    "@lumino/signaling" "^1.10.0"
+    "@lumino/widgets" "^1.33.0"
+
+"@jupyterlab/apputils@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/apputils/-/apputils-3.4.4.tgz#de9ff532a59509ea447e326c82d8f732dfe91345"
+  integrity sha512-EPe8rs5Y6Ycun6/GcxNo4XCNMaygKvEAoe/0VcZ1NRQIH3gTbLMiKG1wMmMBlwZlpebCIH358kgHjCzQJxcKEw==
+  dependencies:
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/observables" "^4.4.4"
+    "@jupyterlab/services" "^6.4.4"
+    "@jupyterlab/settingregistry" "^3.4.4"
+    "@jupyterlab/statedb" "^3.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+    "@jupyterlab/ui-components" "^3.4.4"
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/commands" "^1.19.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/domutils" "^1.8.0"
+    "@lumino/messaging" "^1.10.0"
+    "@lumino/polling" "^1.9.0"
+    "@lumino/properties" "^1.8.0"
+    "@lumino/signaling" "^1.10.0"
+    "@lumino/virtualdom" "^1.14.0"
+    "@lumino/widgets" "^1.33.0"
+    "@types/react" "^17.0.0"
+    react "^17.0.1"
+    react-dom "^17.0.1"
+    sanitize-html "~2.5.3"
+    url "^0.11.0"
+
+"@jupyterlab/codeeditor@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/codeeditor/-/codeeditor-3.4.4.tgz#68071a096691e6b6661f8b0440677fec348c011f"
+  integrity sha512-4Cs7pnSZNWT7JjmIPh0Hs4RebdAOqKfWBEGb5Lwbq4afZ1lokshyO1Z8gDuHlNvm+It7Yj/nPhHn4fEG5IJ/Wg==
+  dependencies:
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/nbformat" "^3.4.4"
+    "@jupyterlab/observables" "^4.4.4"
+    "@jupyterlab/shared-models" "^3.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+    "@jupyterlab/ui-components" "^3.4.4"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/dragdrop" "^1.13.0"
+    "@lumino/messaging" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+    "@lumino/widgets" "^1.33.0"
+
+"@jupyterlab/codemirror@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/codemirror/-/codemirror-3.4.4.tgz#f7d9fcaa471d4512bb235391d7ce6308c52a195a"
+  integrity sha512-uIGLz3eQkmsWCMpCJfI1m2whDnMMFnne7D0GRXwozfnsCnrjEe7bvAkKdj8RfyI2VvntLkavvCpcOPjXiWQJcg==
+  dependencies:
+    "@jupyterlab/apputils" "^3.4.4"
+    "@jupyterlab/codeeditor" "^3.4.4"
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/nbformat" "^3.4.4"
+    "@jupyterlab/observables" "^4.4.4"
+    "@jupyterlab/shared-models" "^3.4.4"
+    "@jupyterlab/statusbar" "^3.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/commands" "^1.19.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/polling" "^1.9.0"
+    "@lumino/signaling" "^1.10.0"
+    "@lumino/widgets" "^1.33.0"
+    codemirror "~5.61.0"
+    react "^17.0.1"
+    y-codemirror "^3.0.1"
+
+"@jupyterlab/coreutils@^5.4.4":
+  version "5.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/coreutils/-/coreutils-5.4.4.tgz#d8097c0cf61f27077e9190cabf2a4767497918e2"
+  integrity sha512-YO9fTjUaar1NZap2uQegfagW6842GnSQjvap+PtRzi4rwJd4MPmCHjIOQY17hcmp+6SBb7bgUtE+ppkEPeuAaw==
+  dependencies:
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+    minimist "~1.2.0"
+    moment "^2.24.0"
+    path-browserify "^1.0.0"
+    url-parse "~1.5.1"
+
+"@jupyterlab/docprovider@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/docprovider/-/docprovider-3.4.4.tgz#759efdc4f98f8232a296dee69652bb2ab10bf479"
+  integrity sha512-7j0dLV4oVepkJtSVvIcp12X4MAssXhbiwJI74qOVK3ERtgMQzZCFhWLEsadwHNYzX3VCwtlzdILQXX6qaE+OUA==
+  dependencies:
+    "@jupyterlab/shared-models" "^3.4.4"
+    "@lumino/coreutils" "^1.11.0"
+    lib0 "^0.2.42"
+    y-websocket "^1.3.15"
+    yjs "^13.5.17"
+
+"@jupyterlab/docregistry@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/docregistry/-/docregistry-3.4.4.tgz#82caa49aaa2f0819e762886fd0b78b13685b8395"
+  integrity sha512-iPuwanq8zSyfs8Dp2cCALi15yV3ubAq/4loE40597w+/gLfHQaFI3JPlc+06GtyQSl7ovO+ROmLqRAKmsKWrcA==
+  dependencies:
+    "@jupyterlab/apputils" "^3.4.4"
+    "@jupyterlab/codeeditor" "^3.4.4"
+    "@jupyterlab/codemirror" "^3.4.4"
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/docprovider" "^3.4.4"
+    "@jupyterlab/observables" "^4.4.4"
+    "@jupyterlab/rendermime" "^3.4.4"
+    "@jupyterlab/rendermime-interfaces" "^3.4.4"
+    "@jupyterlab/services" "^6.4.4"
+    "@jupyterlab/shared-models" "^3.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+    "@jupyterlab/ui-components" "^3.4.4"
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/messaging" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+    "@lumino/widgets" "^1.33.0"
+    yjs "^13.5.17"
+
+"@jupyterlab/nbformat@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/nbformat/-/nbformat-3.4.4.tgz#8b645836d8baff1ad910202ac46546bbe9726a3a"
+  integrity sha512-2f0qzuzXixCJtoCLHJ28ZBCHy9lwsMvsu0lyBtrU6DLYXDGbk7KnUAv1jEVP1yr31TdF5FwPNAJGTt+Ld9Fj8g==
+  dependencies:
+    "@lumino/coreutils" "^1.11.0"
+
+"@jupyterlab/observables@^4.4.4":
+  version "4.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/observables/-/observables-4.4.4.tgz#88d0f15fc03a10fdef35830a196f034996f268ed"
+  integrity sha512-SsYeZxhbBe3gJQqcudQBTBHsL3gukdkYbtFZ7zZPZbPgF3wVzIuwHgrSU88ozQj98ljhwBc1FPGySXQJBYm2CA==
+  dependencies:
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/messaging" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+
+"@jupyterlab/rendermime-interfaces@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/rendermime-interfaces/-/rendermime-interfaces-3.4.4.tgz#c28498db9ba3cc8ea58db53060c853d949ee70be"
+  integrity sha512-lkE27cZBtg9Skv44sru9uHtLlDva6j/3pZTHwS5+OXU9EwtF2iyqQ6RY0MizJZKyI6om5M0jSNixS7rcwiEAhQ==
+  dependencies:
+    "@jupyterlab/translation" "^3.4.4"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/widgets" "^1.33.0"
+
+"@jupyterlab/rendermime@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/rendermime/-/rendermime-3.4.4.tgz#a291029f6cdca21e504eb31d8a218a6adac069eb"
+  integrity sha512-BG72RAMHsyjb12uLb+rMhziFIEfIOC43Gqyd4+Uw0etpDxn6q72qKGAXxO4gF4NbAkK2d2Osk5Q+vz0cDskdtQ==
+  dependencies:
+    "@jupyterlab/apputils" "^3.4.4"
+    "@jupyterlab/codemirror" "^3.4.4"
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/nbformat" "^3.4.4"
+    "@jupyterlab/observables" "^4.4.4"
+    "@jupyterlab/rendermime-interfaces" "^3.4.4"
+    "@jupyterlab/services" "^6.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/messaging" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+    "@lumino/widgets" "^1.33.0"
+    lodash.escape "^4.0.1"
+    marked "^4.0.17"
+
+"@jupyterlab/services@^6.4.4":
+  version "6.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/services/-/services-6.4.4.tgz#31c667b0be962af334f8a6a9fc276f16fdc3aae2"
+  integrity sha512-jaLl0RoF4nVGuQheLvQeJMxXB67bTrnbKkGZGF+kLFir7x5677SHtJP5w1FOtx5z62LjxSzl9X86xkfRH0yEIA==
+  dependencies:
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/nbformat" "^3.4.4"
+    "@jupyterlab/observables" "^4.4.4"
+    "@jupyterlab/settingregistry" "^3.4.4"
+    "@jupyterlab/statedb" "^3.4.4"
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/polling" "^1.9.0"
+    "@lumino/signaling" "^1.10.0"
+    node-fetch "^2.6.0"
+    ws "^7.4.6"
+
+"@jupyterlab/settingregistry@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/settingregistry/-/settingregistry-3.4.4.tgz#af826fb0758a22156b4d0421eabd2870e6315e97"
+  integrity sha512-EAiGNB+Tm9BskmlKcWPhs6g9yRuygBm8Cr4YdPfOOvL8OO8H9TxC1C7Q6xrAr/xUPTk2Y6cOWht2NKXUzN3UqA==
+  dependencies:
+    "@jupyterlab/statedb" "^3.4.4"
+    "@lumino/commands" "^1.19.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+    ajv "^6.12.3"
+    json5 "^2.1.1"
+
+"@jupyterlab/shared-models@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/shared-models/-/shared-models-3.4.4.tgz#b42fc1b9fa43d0f32672605115d3c072fd402e8f"
+  integrity sha512-WR9EVRby/dL1hDM+fdNYWMMxrWvtmQeb/eLwgObyznA5jqXHVjJ/JMWzXR8nmxiQvZHvtS9Tfr4AF/CP+DJx9Q==
+  dependencies:
+    "@jupyterlab/nbformat" "^3.4.4"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+    y-protocols "^1.0.5"
+    yjs "^13.5.17"
+
+"@jupyterlab/statedb@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/statedb/-/statedb-3.4.4.tgz#9b3f67be3eb14ae8ec13a31c3b247940dcb4b03a"
+  integrity sha512-zIOOHDPPO/DCFZIgusuoYus9DP6dsRRx4JIlzOBZRtW7YPxDGYvDNFlCssUpOT90/tmkB1tKk7yn8Mm0DTufRQ==
+  dependencies:
+    "@lumino/commands" "^1.19.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/properties" "^1.8.0"
+    "@lumino/signaling" "^1.10.0"
+
+"@jupyterlab/statusbar@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/statusbar/-/statusbar-3.4.4.tgz#654794e236d409d499339b5b3ec80b8cbfa834c1"
+  integrity sha512-hwWY+iZPZZZm+kcGyLci7XSi3ElP04imn4mbBRr51/jMk8TCeF/fZl/ynDoExMPjWX0nfFET7vEpf7HF8Rp0Hw==
+  dependencies:
+    "@jupyterlab/apputils" "^3.4.4"
+    "@jupyterlab/codeeditor" "^3.4.4"
+    "@jupyterlab/services" "^6.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+    "@jupyterlab/ui-components" "^3.4.4"
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/messaging" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+    "@lumino/widgets" "^1.33.0"
+    csstype "~3.0.3"
+    react "^17.0.1"
+    typestyle "^2.0.4"
+
+"@jupyterlab/theme-dark-extension@^3.4.3":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/theme-dark-extension/-/theme-dark-extension-3.4.4.tgz#a533cd359630e304a7b5172408a8fb9004f2608d"
+  integrity sha512-fvrU5Je0FJfO3S6ejJ1qDH/NsCTl+YqoRbGmNe4OP4Qn077JQKWq+AbJH+gXW20CUlaEWidh9YgeUkqigZWiIQ==
+  dependencies:
+    "@jupyterlab/application" "^3.4.4"
+    "@jupyterlab/apputils" "^3.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+
+"@jupyterlab/translation@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/translation/-/translation-3.4.4.tgz#fce566408661c3cb3b3d0f0edc5f3e5edaf9f7f1"
+  integrity sha512-pAFh3lX6ymiPeOXlAa3Bhr8QzFy2UOltk+AEmGNNCrBFTfKnv/csmVLGCGAksLOrUzH5d4h3Yic4/GYD4ixl6A==
+  dependencies:
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/services" "^6.4.4"
+    "@jupyterlab/statedb" "^3.4.4"
+    "@lumino/coreutils" "^1.11.0"
+
+"@jupyterlab/ui-components@^3.4.4":
+  version "3.4.4"
+  resolved "https://registry.npmmirror.com/@jupyterlab/ui-components/-/ui-components-3.4.4.tgz#acbc7716fabad38ca47751a7f6ff1f6bd8852131"
+  integrity sha512-z730VTR1KmilY72rgFuE92FkGol5lbagW+Cb0O8Q426Zc/p2j2Vr+vyNHEthfeAsBB3tszJAUnaeHEiK49IYsg==
+  dependencies:
+    "@blueprintjs/core" "^3.36.0"
+    "@blueprintjs/select" "^3.15.0"
+    "@jupyterlab/coreutils" "^5.4.4"
+    "@jupyterlab/translation" "^3.4.4"
+    "@lumino/algorithm" "^1.9.0"
+    "@lumino/commands" "^1.19.0"
+    "@lumino/coreutils" "^1.11.0"
+    "@lumino/disposable" "^1.10.0"
+    "@lumino/signaling" "^1.10.0"
+    "@lumino/virtualdom" "^1.14.0"
+    "@lumino/widgets" "^1.33.0"
+    "@rjsf/core" "^3.1.0"
+    react "^17.0.1"
+    react-dom "^17.0.1"
+    typestyle "^2.0.4"
+
 "@lerna/add@4.0.0":
   version "4.0.0"
   resolved "https://registry.yarnpkg.com/@lerna/add/-/add-4.0.0.tgz#c36f57d132502a57b9e7058d1548b7a565ef183f"
@@ -2366,6 +2674,23 @@
     "@lumino/signaling" "^1.10.1"
     "@lumino/virtualdom" "^1.14.1"
 
+"@lumino/widgets@^1.33.0":
+  version "1.33.0"
+  resolved "https://registry.npmmirror.com/@lumino/widgets/-/widgets-1.33.0.tgz#6b468342fbb80ff6a83d8eba28dbc900ab4addd7"
+  integrity sha512-Kt1zYU0FOZLTcyCAPkCAqFhK6PW+VAB0WIFuGdihO8BblfhY7KRsPn041PwVTXHAZrid1yaB2/aN+HbB2zh4Nw==
+  dependencies:
+    "@lumino/algorithm" "^1.9.1"
+    "@lumino/commands" "^1.20.0"
+    "@lumino/coreutils" "^1.12.0"
+    "@lumino/disposable" "^1.10.1"
+    "@lumino/domutils" "^1.8.1"
+    "@lumino/dragdrop" "^1.14.0"
+    "@lumino/keyboard" "^1.8.1"
+    "@lumino/messaging" "^1.10.1"
+    "@lumino/properties" "^1.8.1"
+    "@lumino/signaling" "^1.10.1"
+    "@lumino/virtualdom" "^1.14.1"
+
 "@mapbox/node-pre-gyp@^1.0.0":
   version "1.0.5"
   resolved "https://registry.yarnpkg.com/@mapbox/node-pre-gyp/-/node-pre-gyp-1.0.5.tgz#2a0b32fcb416fb3f2250fd24cb2a81421a4f5950"
@@ -11921,6 +12246,11 @@ marked@^4.0.10:
   resolved "https://registry.yarnpkg.com/marked/-/marked-4.0.15.tgz#0216b7c9d5fcf6ac5042343c41d81a8b1b5e1b4a"
   integrity sha512-esX5lPdTfG4p8LDkv+obbRCyOKzB+820ZZyMOXJZygZBHrH9b3xXR64X4kT3sPe9Nx8qQXbmcz6kFSMt4Nfk6Q==
 
+marked@^4.0.17:
+  version "4.0.18"
+  resolved "https://registry.npmmirror.com/marked/-/marked-4.0.18.tgz#cd0ac54b2e5610cfb90e8fd46ccaa8292c9ed569"
+  integrity sha512-wbLDJ7Zh0sqA0Vdg6aqlbT+yPxqLblpAZh1mK2+AO2twQkPywvvqQNfEPVwSSRjZ7dZcdeVBIAgiO7MMp3Dszw==
+
 marky@^1.2.0:
   version "1.2.2"
   resolved "https://registry.yarnpkg.com/marky/-/marky-1.2.2.tgz#4456765b4de307a13d263a69b0c79bf226e68323"

Some files were not shown because too many files changed in this diff